            var title;
            var ptime;
            var body;
            var replyCount;
            var replyBoard;
            var source;
            var more;
            var moreButton;
			var myTitle;
			var mySource;
			var myTime;
            var myBody;
			// var myMore;
			
            function getTitle(){
            	var mHeader = document.getElementById('header');
            	myTitle = document.getElementById("title");
                if (window.news) {
                    title = window.news.getTitle();
                    if(title == ""){
                    	mHeader.style.visibility = 'hidden';
                    }else{
                    	mHeader.style.visibility = 'visible';
                    }
                    myTitle.innerHTML = title;
                }
            }
            
            function getSource(){
                mySource = document.getElementById('source');
                if (window.news) {
                    source = window.news.getSource();
                    mySource.innerHTML = source;
                }
            }
            
            function getTime(){
                myTime = document.getElementById('ptime');
                if (window.news) {
                    ptime = window.news.getTime();
                    myTime.innerHTML = ptime;
                }
            }
            
            function getBody(){
                myBody = document.getElementById('article_body');
                
                if (window.news) {
                    body = window.news.getBody();
                    myBody.innerHTML = body;
                }
            }
            
            function getMore(){
                moreButton.style.display = "none";
                // myMore = document.getElementById('more');
                myBody = document.getElementById('article_body');
                if (window.news) {
                    more = window.news.getMoreBody();
                    myBody.innerHTML = myBody.innerHTML + more;
                }
                
            }
    
            function toLink(i){
            	if(window.news){
            		window.news.toLink(i);
            	}
            }
            
            function zoomOut(i){
                if (window.news) {
                	var largepic = document.getElementById('largepic'+i);
                	if(largepic.style.display=='none'){
                	
                	}else{
                		window.news.showBigPic(i);
                	}
                }
            }
            
            function changeFontSize()
            {
            	if(window.news.getFontSize()==1)
                {
            		showSmallSize();
            	}
            	else if(window.news.getFontSize()==2)
            	{
            		showMidSize();
            	}
            	else if(window.news.getFontSize()==3)
            	{
            		showBigSize();
            	}
            	else if(window.news.getFontSize()==4)
            	{
            		showSuperBigSize();
            	}
            }
            
            function initialize()
            {
            	debugHtml();
                getTitle();
                getSource();
                getTime();
                getBody();
                changeFontSize();
                // setDefaultImg();
                showTitlePart();
                setFootVisibile();
                getRecommands();
                //setTimeout(caculateHeight,300);
            }
            
            /**
			 * 是否显示上部
			 */
            function showTitlePart(){
            	if(window.news.getType() == 3){
            		setTopLineInvisible();
            	}
            	else{
            		setTopLineVisible();
            	}
            }
                        
            function show(title,source,time,url,id,coid,openType,referer){
            	if(window.news){
            		window.news.show(title,source,time,url,id,coid,openType,referer);
            	}
            }
            
            /**
			 * 生成列表
			 */
            function buildUl(recommand){
            	var str = "";
            	if(recommand){
            		var length = recommand.recs.length;
            		
            		for(var i=0;i<length;i++){
            			str +='<li><a href="javascript:" onclick=show("'
            						+ encodeURI(recommand.recs[i].title) + '","' 
            						+ encodeURI(recommand.recs[i].source) +'","'
            						+ recommand.recs[i].time + '","'
            						+ recommand.recs[i].url + '","'
            						+ recommand.recs[i].id  + '","'
            						+  recommand.recs[i].coid + '","'
            						+  recommand.recs[i].openType + '","'
            						+  recommand.recs[i].referer 
            						+'")>'  +recommand.recs[i].title +'</a></li>';
            		}
            	}
            	return str;
            } 
             /**
			 * 生成图片
			 */
            function buildImgUl(imgStr){
            	var str = "";
            	if(imgStr){
            		var length = imgStr.imgs.length;
            		for(var i=0;i<length;i++){
    					str +='<a href="javascript:" onclick=show("'
            						+ encodeURI(imgStr.imgs[i].title) + '","' 
            						+ encodeURI(imgStr.imgs[i].source) +'","'
            						+ imgStr.imgs[i].time + '","'
            						+ imgStr.imgs[i].url + '","'
            						+ imgStr.imgs[i].id  + '","'
            						+ imgStr.imgs[i].coid + '","'
            						+ imgStr.imgs[i].openType + '","'
            						+ imgStr.imgs[i].referer 
            						+'")><img src="'+imgStr.imgs[i].imgUrl+'" width="100%"/></a>';
            		}
            	}
            	return str;
            }
            
            /**
			 * 设置推荐显示的
			 */
            function getRecommands(){
            	var rec_container = document.getElementById('rec_container');
            	var rec_ul = document.getElementById('rec_list');
		     	var img_list = document.getElementById('img_list');
            	if(window.news){
            		var recommandsBoolean = false;
            		var imgBoolean = false;
            		if(window.news.getRecommands() && window.news.getRecommands() != "" 
            		&& window.news.getShowRecommand() == 1){
            			var recStr = window.news.getRecommands();
            			var jsObj = eval('('+recStr+')'); 
            			if(jsObj && jsObj.recs.length > 0){
                        	rec_ul.innerHTML = buildUl(jsObj);  
            			}
                		recommandsBoolean = true;
                	}
                	if(window.news.getImgUrl() && window.news.getImgUrl() != ""){
            			var imgStr = window.news.getImgUrl();
            			var jsObj = eval('('+imgStr+')'); 
            			if(jsObj && jsObj.imgs.length > 0){
                        	img_list.innerHTML = buildImgUl(jsObj); 
            			}
                		imgBoolean = true;
                	}
                	
                	if(recommandsBoolean || imgBoolean){
                		rec_container.style.display = 'block';
                	}else{
                		rec_container.style.display = 'none';
                	}
            	}
            	else{
            		rec_container.style.display = 'none';
            	}
            	
            	
            }
            
            
            function showMoreButton(){
                moreButton = document.getElementById('moreButton');
                
                if (window.news) {
                    var isShown = window.news.hasNext();
                    
                    if (isShown == 1) {
                    	myBody.innerHTML = body;
                        moreButton.style.display = "block";
                    } else{
                    	myBody.innerHTML = body;
                        moreButton.style.display = "none";
                    } 
                } else {
                	myBody.innerHTML = body;
                    moreButton.style.display = "none";
                }
              	
            }
            
            function over(obj){
                var showmore = document.getElementById('showmore');
                var loading = document.getElementById('loading');
                
                showmore.style.position = "relative";
                showmore.style.top = 1;
                showmore.style.left = 1;
                
                showmore.style.display = "none"
                
                loading.style.display = "block";
                
                if (window.news) {
                    window.news.getMore();
                }
            }
            
            function showMore()
            {
            	addHoverStyle();
            	if (window.news) 
            	{
                    window.news.getMore();
                }
            	 setTimeout(clearViewSourceStyle,150);
            }
 
    		function changeSubscribeState()
            {
            	if (window.news) 
            	{
                    window.news.changeSubscribeState();
                }
            }          
            // 清除查看更多样式
            function clearViewSourceStyle(){
            	var adfooter = document.getElementById('adfooter');
            	var span = document.getElementById('lookPage');
            	span.className = "atime1 ";
            }
            
            // 添加选中时候的样式
            function addHoverStyle(){
            	var adfooter = document.getElementById('adfooter');
            	var span = document.getElementById('lookPage');
            	span.className = "atime2 ";
            }
            
			function refreshNews()
			{
				if (window.news)
				{
					window.news.refreshNews();
				}
			}
			
			function setNetwork()
			{
				if (window.news)
				{
					window.news.setNetwork();
				}
			}
            
            function tiggerFullScreen(){
                if (window.news) 
                    window.news.triggerFullScreen();
                
            }
            
            function isLink(node){
                var node = node;
                var index = node.id.indexOf("relative");
                while (node.nodeName != "A" && node.nodeName != "IMG" && index == -1) {
                    if (node.nodeName == "HTML") 
                        return false;
                    node = node.parentNode;
                }
                return true;
            }
            
			function clickEvent(){
                if (isLink(event.target)) return;
				else tiggerFullScreen();		
            }
			
			
			function showSuperBigSize() {
				myBody.style.fontSize = "26px";
				myBody.style.lineHeight = "160%";
			}
			
			function showBigSize() {
				myBody.style.fontSize = "22px";
				myBody.style.lineHeight = "160%";
			}
			
			function showMidSize() {
				myBody.style.fontSize = "18px";
				myBody.style.lineHeight = "150%";
			}
			
			function showSmallSize() {
				myBody.style.fontSize = "16px";
				myBody.style.lineHeight = "150%";
			}
			
			function ZoomOutTextSize() {
				size1 = document.getElementById('article_body').style.fontSize;
				size2 = document.getElementById("title").style.fontSize;
				size1 = parseInt(size1) - 1;
				size2 = parseInt(size2) - 1;
				if(size1 > 1)
				{
					myBody.style.fontSize = size1 + 'px';
					document.getElementById("title").style.fontSize = size2 + 'px';
				}
			}
			
			function ZoomInTextSize() {
				size1 = document.getElementById('article_body').style.fontSize;
				size2 = document.getElementById("title").style.fontSize;
				size1 = parseInt(size1) + 1;
				size2 = parseInt(size2) + 1;
				if(size1 < 40)
				{
					myBody.style.fontSize = size1 + 'px';
					document.getElementById("title").style.fontSize = size2 + 'px';
				}
			}
			
			function setAddImgShowAndImgContent(i, imgUrl){
				var imgadd = document.getElementById("imgAdd_" + i);
				var imgcontent = document.getElementById("imgContent_" + i);
				if(null != imgadd)imgadd.style.display='block';
				if(null != imgcontent)imgcontent.src=imgUrl;
			}
			
			function toRelative(i){
				if(window.news){
            		window.news.toRelative(i);
            	}
			}
			
			function setRelativeIsRead(obj){
				var ids = obj.split(",");
				for(var i = 0; i < ids.length; i ++){
					document.getElementById("relative_" + ids[i]).style.color='#8E8E8E';
				}
			}
			
			
			function caculateHeight(){
				var windowHeight = window.innerHeight;
				var windowWidth = window.innerWidth;
				var contentTitle = document.getElementById("header");
				var titleHeight = contentTitle.offsetHeight;
				var contentHeight = windowHeight - titleHeight;
				var loadingContent = document.getElementById("loading_1");
				// loadingContent.style.height = contentHeight + "px";
				loadingContent.style.width = windowWidth + "px";
			}
			
			/**
			 * 底部可见
			 */
			function setFootVisibile(){
				var foot_content = document.getElementById("footer");
				if(window.news.getShowFooter() == 0){
					foot_content.style.display = 'none';
				}
				else
					foot_content.style.display = 'block';
			}
			
		// ///////////////////////////////// ONLY FOR DEBUG
		// ///////////////////////////////////
			function debugHtml(){
				if(window.news){
					var debug = window.news.ismDebug();
					if(debug){
						var debugButton = document.createElement('input');
						debugButton.setAttribute('id',"debug-btn");
						debugButton.setAttribute('type',"button");
						debugButton.setAttribute('value',"查看网页源代码");
						debugButton.setAttribute('onclick',"viewHtmlContent()");
						document.body.appendChild(debugButton);
					}
				}
				
			}
			
			function viewHtmlContent(){
				var webContent =  document.documentElement.outerHTML;
				if(window.news){
					console.log(webContent);
					window.news.writeCodeSource(webContent);
				}
			}
		// ///////////////////////////////// FOR DEBUG
		// ///////////////////////////////////
			
			/**
			 * 显示上层部分
			 */
			function setTopLineVisible(){
		/*
		 * var time = document.getElementById("ptime"); var title =
		 * document.getElementById("title"); var source =
		 * document.getElementById("source"); var top_line =
		 * document.getElementById("top-line");
		 * 
		 * time.style.visibility = 'visible'; title.style.display = 'inherit';
		 * source.style.visibility = 'visible'; top_line.style.visibility =
		 * 'visible';
		 */
				
				var contentHeader = document.getElementById("header");
				contentHeader.style.display = 'inherit';
			}
			
			function setTopLineInvisible(){
			/*
			 * var time = document.getElementById("ptime"); var title =
			 * document.getElementById("title"); var source =
			 * document.getElementById("source"); var top_line =
			 * document.getElementById("top-line");
			 * 
			 * time.style.visibility = 'hidden'; title.style.display = 'none';
			 * source.style.visibility = 'hidden'; top_line.style.visibility =
			 * 'hidden';
			 */
				
				var contentHeader = document.getElementById("header");
				contentHeader.style.display = 'none';
			}
			
			/**
			 * 改变主题，通过移除对应css切换另外的css实现
			 * 
			 * @param theme
			 */
			function change_theme(theme){
				
				var tag_link = document.getElementById('surf_news_theme');
				
				if(tag_link){
					var currentStyle = tag_link.getAttribute('data');
					if(currentStyle == theme){
						// nothing should do
					}
					else{
						if(theme == "day"){
							// change to day style
							tag_link.setAttribute('data','day');
							tag_link.setAttribute('href','../css/surfnews_day_style.css');
						}
						else if(theme == "night"){
							// change to night style
							tag_link.setAttribute('data','night');
							tag_link.setAttribute('href','../css/surfnews_night_style.css');
						}
					}
				}				
			}
					
			function setDefaultImg()
			{
				var err_url="img_loading.png"; // 定义出错后显示的图片
			    var img=document.getElementsByTagName("img");
				for(var i=0;i<img.length;i++)
			    {
	                var att = img[i].getAttribute("data");
	                if(att!="" && att!=null)
	                {
	                    // 没有定义data属性的图片不检查
	                    (function(a,b)
	                    {
	                        var pic = new Image();
	                        pic.onload = function () 
	                        {
	                            pic.onload = null;
	                            img[a].src = b;
	                        };
	                        pic.onerror = function()
	                        {
	                            pic.onerror = null;
	                            img[a].src = err_url;
	                        }
	                        pic.src = b;
	                    })(i,att)
	                }
	            }
			}
			 function changeImg(divId,imgId,loadId,spanId,obj)
			 {
			   if(obj!="" && obj!=null && obj!="undefined")
			   {
			     var obj1 = document.getElementById(divId);
			     if(obj1!="" && obj1!=null && obj1!="undefined")
			     {
			        obj1.style.display = "inline-block";
			        document.getElementById(imgId).src =  obj;
			        document.getElementById(imgId).style.zIndex = "99";
			        document.getElementById(imgId).style.position = "relative";
			        document.getElementById(spanId).innerHTML = "100%";
			        document.getElementById(loadId).style.display = "none";
			        document.getElementById(loadId).style.zIndex = "0";
			        document.getElementById(loadId).parentNode.parentNode.style.zIndex = "0";
			        document.getElementById(spanId).style.display = "none";
			     }
			   }else
			   {
			     document.getElementById(spanId).style.display = "none";
			     var loadobj = document.getElementById(loadId);
			     loadobj.style.marginTop = "-63px";
			     loadobj.src = "file:///android_asset/html/fail_load.png";
			    
			   }
			   
			 }
			 function changeSpan(spanId,obj)
			 {
			   document.getElementById(spanId).innerHTML =  obj;
			 }
			 function showSurfDiv(json)
			 {
			 try{
			   var jsObj = eval(json);
			   for(var i=0;i<jsObj.length;i++)
			   {
			     var obj = jsObj[i];
			     var obj1 = document.getElementById(obj.surf_div_id);
			     if(obj1!="" && obj1!=null && obj1!="undefined")
			     {
			       var imgobj = document.getElementById(obj.surf_img_id);
			       if(obj.width < 100 || obj.height < 100)
			       {
			           imgobj.width = parseInt(obj.width);
			       	   imgobj.height = parseInt(obj.height);
			       }
			       else
			       {
				       var windowWidth = window.innerWidth*0.95;
				       var scal = obj.width/obj.height;
				       imgobj.width = windowWidth;
				       imgobj.height = imgobj.width/scal;
			       }
			       var loadobj = document.getElementById(obj.surf_load_id);
			       if(loadobj!="" && loadobj!=null && loadobj!="undefined")
			       {
			          loadobj.style.marginTop = "-32px";
			       }
			       obj1.style.display = "inline-block";
			     }
			    
			   }
			   }catch(error)
			   {
			   } 
			 }
            window.onload = function(){
                initialize();
                
            }